/** addmatricesPtrs.cpp
*	Add two matrices using pointers 
**/
#include <iostream>
using namespace std;

int main ()
{
  int A[5], B[5];
  int i;
  int *ptr_A = NULL, *ptr_B = NULL; // καλό είναι να αρχικοποιώ τους δείκτες μου ως NULL, nullptr, 0 ή μια διεύθυνση.
  
  // αρχικοποίηση διανυσμάτων
  for (i = 0; i < 5; i++){
       A[i] = 2*i+1;
       B[i] = i*i;
  }

  // using arrays
  for (i = 0; i < 5; i++){
  	cout << "A[" << i << "] + ";
  	cout << "B[" << i << "] = ";
    cout << A[i] << " + " << B[i] << " = " << A[i]+B[i] << endl;
  }

  ptr_A = A; //ptr_A = &A[0];
  ptr_B = B; //ptr_B = &B[0];

  cout << endl << endl;

  cout << "Using pointers\n";
  for (i = 0; i < 5; i++){
  	cout << "A[" << i << "] + ";
  	cout << "B[" << i << "] = ";
    cout << *ptr_A << " + " << *ptr_B << " = " << *ptr_A + *ptr_B << endl;

    ptr_A++; // ptr_A =  ptr_A + 1;
    ptr_B++;
  }

// αλλιώς (1/2):
 //  cout << endl << endl;
 //  cout << "Using pointers (2nd version) \n";

 //  for (ptr_A = A, ptr_B = B, i = 0; ptr_A < &A[5] && ptr_B < &B[5]; ptr_A++, ptr_B++, i++)


 //  //for (ptr_A = A, ptr_B = B, i = 0; i < 5 ; ptr_A++, ptr_B++, i++) // αλλιώς (2/2)
 //  {
 //  	cout << "A[" << i << "] + ";
 //  	cout << "B[" << i << "] = ";
 //    cout << *ptr_A << " + " << *ptr_B << " = " << *ptr_A + *ptr_B << endl;
 //  }
 // cout << endl << endl;

return 0;
}
