//prototypes.cpp
// based on an example for function prototypes: 
// http://www.cplusplus.com/articles/yAqpX9L8/

#include <iostream>
#include <cmath>
using namespace std;

class Square{
	private:
		int size;
	public:
	// constructor prototypes
		Square();
		Square(int);
	// destructor's prototype
		~Square();
	
	// method's implementation 
	int area() { return pow((this->size),2); }
};


int main()
{	
	Square sqr(11);
	
	cout << "Το εμβαδό του νεογνού είναι = " << sqr.area() << "\n";

	return 0;
}

Square::Square() { size = 0; }
Square::Square( int s) { 
	size = s; 
	cout << "Να σας ζήσει ! Είναι αγόρι πλευράς " << s <<" ! \n";}

Square::~Square() { 
	cout << "Έχω δυσάρεστα νέα. Το τετράγωνό σας μόλις πέθανε.\n"; 
}
