/*
CVector.hpp
---
Header για το αρχείο 1.Overloading_Operators.cpp
*/

#include <cmath>
using namespace std;

#ifndef _CVector_hpp_
#define _CVector_hpp_

class CVector
{
      public:
             int x;
             int y;

             CVector ()
             {
                      x = 0;
                      y = 0;
             }
 			
			 CVector (int r1, int r2)
             {
                      x = r1;
                      y = r2;
             }

            ~CVector(){}
             
             

             
             void set(int r1, int r2)
             {
                      x = r1;
                      y = r2;
             }
             
             // Διανυσματική πρόσθεση
             CVector operator+ (CVector r)
             {
                     CVector temp;
                     
                     temp.x = x + r.x;
                     temp.y = y + r.y;
                     
                     return (temp);
             }

             // Διανυσματική αφαίρεση
             CVector operator- (CVector r)
             {
                     CVector temp;
                     
                     temp.x = x - r.x;
                     temp.y = y - r.y;
                     
                     return (temp);
             }

             // Εσωτερικό γινόμενο διανυσμάτων
             int operator* (CVector r)
             {            
                     return (x*r.x + y*r.y);
             }
                                                                                                  
             void printv()
             {
                  std::cout << "(" << x << "," << y << ")\n";
             }

};

float norm (CVector r)
{
      float result;                   
      result = sqrt(r.x*r.x + r.y*r.y);  
      return (result);
}


#endif
