// passing parameters by reference
#include <iostream>
using namespace std;

void duplicate (int& a, int& b, int& c)
{
  a*=2;
  b*=2;
  c*=2;
}

// Call by name
void swap(int x, int y) // ΛΑΘΟΣ
{
	int temp;
	temp = x;
	x = y;
	y = temp;
}

// Call by reference
void swap(int *px, int *py) // εναλλαγή *px, *py
{
	int temp;
	temp = *px;
	*px = *py;
	*py = temp;	
}

int main ()
{
  int x=1, y=3, z=7;
  duplicate (x, y, z);
  cout << "x=" << x << ", y=" << y << ", z=" << z;
  return 0;
}
