/** PtrInFunc.cpp
*   Passing Pointer in Functions and using a header file
**/
#include "PtrInFunc.hpp"

int main()
{
    char  str[] = "Hello Master!";
    char  *ch = NULL;

    int   A[] = {2, 4, 6};
    int   *ptr_A = NULL; // καλό είναι να αρχικοποιώ τους δείκτες μου ως NULL, nullptr, 0 ή μια διεύθυνση.

    int   M[2][3] = {{2, 1, 3}, {4, 3, 5}};
    int   *ptr_M = NULL;

    float B[] = {2.1, 4.3, 6.2};
    float *ptr_B = NULL;
    
    cout << "Print integer vector\n";
    ptr_A = &A[0];   
    PrintVector(ptr_A);
    cout << "Sum = " << SumVector(ptr_A) << endl << endl;

    cout << "Print integer matrix\n";
    ptr_M = &M[0][0];   
    PrintMatrix(ptr_M);
    cout << "Sum = " << SumMatrix(ptr_M) << endl << endl;
        
    cout << "Print float vector\n";
    ptr_B = &B[0];   
    PrintVector(ptr_B);
    cout << "Sum = " << SumVector(ptr_B) << endl << endl;
    
    cout << "Print string\n";    
    ch = str;
    PrintString(ch);
    cout << endl;    

    return (0);
}

