/*
overloadingOperators2.cpp
---
It's the same program as 1.Overloading_Operators but the operations are
done isung a pointer.

Πράξεις με διανύσματα, χρησιμοποιώντας δείκτη σε κλάση CVector και νέο header με τον δείκτη *this. 
Οι διαφορές φαίνονται στην main() και στο header.
*/

#include <iostream>
#include "CVector2.hpp"
using namespace std;   

int main() {
    
     CVector vec1(1,2);
     CVector vec2(3,4);
     CVector temp, *ptr = NULL;
     int ip;

// Vector Addition
     temp = vec1 + vec2;
     ptr = &temp;           // ok, με temp αντικείμενο και αναφορά (reference)
     //*ptr = vec1 + vec2;  // ok (μόνο με δείκτες)
     //ptr = &(vec1 + vec2) // error: taking address of temporary [-fpermissive]
     cout << " v1+v2 = ";
     ptr->printv(); // (*ptr).printv(); // temp.printv()

// Vector substraction     
     *ptr = vec1 - vec2; // μόνο με δείκτες
     cout << " v1-v2 = ";
     ptr->printv(); // temp.printv()
     
// Inner Product
     ptr = &vec1;
     ip = (*ptr) * vec2;        
     cout << " <v1,v2> = " << ip << endl; // ΔΑΦΑΚ??? πώς ο τελεστής << δίνει το ip στην έξοδο; 
                                          // Χεχε, το ip είναι αριθμός χαζούλη, όχι αντικείμενο


// Vector norm
     vec1.set(3,4);
     cout << "\n\n Norm of vector: ";
     ptr->printv();
     cout << " is " << norm(*ptr) << endl;
              
     return (0);       
}
             
