/*
CVector2.hpp
---
Header για το αρχείο 2.Overloading_Operators.cpp
*/
#include <math.h>
using namespace std;

#ifndef _CVector2_hpp_
#define _CVector2_hpp_

class CVector
{
      public:
             int x;
             int y;

             CVector ()
             {
                      x = 0;
                      y = 0;
             }
 
             ~CVector(){}
             
             CVector (int r1, int r2)
             {
                      x = r1;
                      y = r2;
             }

             // Γιατί;;
             void set(int r1, int r2)
             {
                      x = r1;
                      y = r2;
             }

             // διανυσματική πρόσθεση, επιστρέφει αντικείμενο             
             CVector operator+ (CVector r)
             {                     

                     x = x + r.x;
                     y = y + r.y;
                     
                     return (*this);
             }

             // διανυσματική αφαίρεση, επιστρέφει αντικείμενο
             CVector operator- (CVector r)
             {
                     x = x - r.x;
                     y = y - r.y;
                     
                     return (*this);             }

             // scalar product, επιστρέφει αριθμό !
             int operator* (CVector r)
             {            
                     return (x*r.x + y*r.y);
             }
                                                                                                  
             void printv()
             {
                  cout << "(" << x << "," << y << ")\n";
             }             
};

float norm (CVector r)
{
      float result;
                     
      result = sqrt(r.x*r.x + r.y*r.y);
                     
      return (result);
}

#endif
